Skip to main content
GET
/
focus-groups
List focus groups
curl --request GET \
  --url https://app.mavera.io/api/v1/focus-groups \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "focus_group",
      "status": "<string>",
      "created_at": 123,
      "updated_at": 123,
      "name": "<string>",
      "sample_size": 123,
      "personas_count": 123,
      "questions_count": 123,
      "error": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Query Parameters

status
enum<string>

Filter by focus group status.

Available options:
pending,
generating,
completed,
failed

Search by name.

limit
integer
default:50

Maximum number of results to return (1-100).

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination.

Response

List of focus groups.

object
enum<string>
Available options:
list
Example:

"list"

data
object[]
has_more
boolean

Whether there are more results available

next_cursor
string | null

Cursor for fetching the next page